Results 1 to 10 of 10

Thread: Modprobe ndiswrapper - not found???

Hybrid View

  1. #1
    Join Date
    Dec 2005
    Beans
    22

    Modprobe ndiswrapper - not found???

    Noob here.

    I've been lurking here a while to learn about getting my laptop working on my wireless network.
    Finally took the plunge and installed the ndiswrapper common and util packages as outlined in other threads (thanks to KevDog), on my new Hardy install.
    Then I downloaded the Winbloz drivers from the realtek site and got as far as loading them with the ndiswrapper. So when I type ndiswrapper -l, I get back "net8187b : driver installed device (0BDA:8197) present". So far so good.
    But when I try "sudo modprobe ndiswrapper", I get back "FATAL: Module ndiswrapper not found".
    This is stumping me. What do I need to do to fix this?
    Thanks in advance.

  2. #2
    Join Date
    Apr 2007
    Location
    Mount Horeb, WI
    Beans
    4,312
    Distro
    Kubuntu Development Release

    Re: Modprobe ndiswrapper - not found???

    Quote Originally Posted by bartt View Post
    Noob here.

    I've been lurking here a while to learn about getting my laptop working on my wireless network.
    Finally took the plunge and installed the ndiswrapper common and util packages as outlined in other threads (thanks to KevDog), on my new Hardy install.
    Then I downloaded the Winbloz drivers from the realtek site and got as far as loading them with the ndiswrapper. So when I type ndiswrapper -l, I get back "net8187b : driver installed device (0BDA:8197) present". So far so good.
    But when I try "sudo modprobe ndiswrapper", I get back "FATAL: Module ndiswrapper not found".
    This is stumping me. What do I need to do to fix this?
    Thanks in advance.
    What does ndiswrapper -v say?

  3. #3
    Join Date
    Dec 2005
    Beans
    22

    Re: Modprobe ndiswrapper - not found???

    Hmm.. that's interesting.
    ndiswrapper -v relies with several lines stating that "module version is too old!" and finally " You may need to upgrade driver and/or utils to latest versions avaiable at.. sourceforge"

    I downloaded these files from ubuntu.com from the hardy section. I would think they are the latest ones or at least operational.

  4. #4
    Join Date
    Apr 2007
    Location
    Mount Horeb, WI
    Beans
    4,312
    Distro
    Kubuntu Development Release

    Re: Modprobe ndiswrapper - not found???

    You might want to make sure that you don't have any files with the name ndiswrapper in the directory when you run this check. You might also try:
    Code:
    sudo updatedb
    locate ndiswrapper.ko
    updatedb will update the search database so that locate can see if the file that you are searching is there.

  5. #5
    Join Date
    Dec 2005
    Beans
    22

    Re: Modprobe ndiswrapper - not found???

    Thanks for your help..

    I'm sorry you lost me- "any files with the name ndiswrapper in" which directory?
    As to the rest, I have to wait until I can reconnect this box to my wired network at home..

  6. #6
    Join Date
    Apr 2007
    Location
    Mount Horeb, WI
    Beans
    4,312
    Distro
    Kubuntu Development Release
    Sometimes if there is a file called ndiswrapper in the directory when you type ndiswrapper -v, it can report a false version. For example, in my /home/jayhawk directory, I have a file called ndiswrapper. When I type ndiswrapper -v, I get:
    Code:
    jayhawk@allen-fieldhouse:~$ ndiswrapper -v
    modinfo: could not open ndiswrapper: Invalid argument
    module version is too old!
    utils version: '1.9', utils version needed by module: '0'
    module details:
    modinfo: could not open ndiswrapper: Invalid argument
    
    You may need to upgrade driver and/or utils to latest versions available at
    http://ndiswrapper.sourceforge.net
    However, if I go to my Desktop where I have no files, I get:
    Code:
    jayhawk@allen-fieldhouse:~$ cd Desktop
    jayhawk@allen-fieldhouse:~/Desktop$ ndiswrapper -v
    utils version: '1.9', utils version needed by module: '1.9'
    module details:
    filename:       /lib/modules/2.6.24-16-generic/ubuntu/misc/ndiswrapper/ndiswrapper.ko
    version:        1.52
    vermagic:       2.6.24-16-generic SMP mod_unload
    EDIT:
    By the way, the commands that I have requested do not require an internet connection.

    EDIT 2:
    Unless you want to copy and paste back to the forum...
    Last edited by Ayuthia; May 7th, 2008 at 10:17 PM.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •